Subject: [provreg] FW: [Technical Errata Reported] RFC5731 (4200)

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 16 Dec 2014 14:15:21 +0000

FYI, folks. I'll forward the response I sent in a moment.

Scott

-----Original Message-----
From: RFC Errata System [mailto:[email-masked]] 
Sent: Monday, December 15, 2014 10:55 AM
To: Hollenbeck, Scott; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: [Technical Errata Reported] RFC5731 (4200)

The following errata report has been submitted for RFC5731,
"Extensible Provisioning Protocol (EPP) Domain Name Mapping".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5731&eid=4200

--------------------------------------
Type: Technical
Reported by: StÃ©phane Bortzmeyer <[email-masked]>

Section: 3.2.3

Original Text
-------------
 C:        <domain:curExpDate>2000-04-03</domain:curExpDate>

Corrected Text
--------------
 C:        <domain:curExpDate>2000-04-03Z</domain:curExpDate>

Notes
-----
The Z for UTC seems mandatory, per section 2.4 (in XML schema, it is optional http://www.w3.org/TR/2004/REC-xmlschema-2-20041028/#date ). Since <renew> is the only command with date (and not date-times), one may think dates are not forced to have a trailing Z but it is not mentioned in the RFC.

Detected by Kim-Minh Kaplan at AFNIC.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5731 (draft-hollenbeck-rfc4931bis-01)
--------------------------------------
Title               : Extensible Provisioning Protocol (EPP) Domain Name Mapping
Publication Date    : August 2009
Author(s)           : S. Hollenbeck
Category            : INTERNET STANDARD
Source              : IETF - NON WORKING GROUP
Area                : N/A
Stream              : IETF
Verifying Party     : IESG

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 16 Dec 2014 14:16:12 +0000

My reply...

Scott

-----Original Message-----
From: Hollenbeck, Scott 
Sent: Monday, December 15, 2014 11:20 AM
To: RFC Errata System; [email-masked]
Cc: [email-masked]
Subject: RE: [Technical Errata Reported] RFC5731 (4200)

> The Z for UTC seems mandatory, per section 2.4 (in XML schema, it is
> optional http://www.w3.org/TR/2004/REC-xmlschema-2-20041028/#date ).
> Since <renew> is the only command with date (and not date-times), one
> may think dates are not forced to have a trailing Z but it is not
> mentioned in the RFC.

This is the text from Section 2.4 of RFC 5731:

"The extended date-time form using upper case "T" and "Z" characters defined in [W3C.REC-xmlschema-2-20041028] MUST be used to represent **date-time** values, as XML Schema does not support truncated date-time forms or lower case "T" and "Z" characters."

I used "**" to emphasize the requirement in the text for date-time, not date, values. The date in the example is described by the XML Schema date (not dateTime) data type, which does not require use of the optional time zone. This isn't explicitly mentioned in RFC 5731 because it is explicitly mentioned in the normative XML Schema reference.

Scott

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Thu, 18 Dec 2014 11:59:46 +0000

FYI

Scott

-----Original Message-----
From: RFC Errata System [mailto:[email-masked]] 
Sent: Wednesday, December 17, 2014 5:38 PM
To: [email-masked]; Hollenbeck, Scott
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [Errata Rejected] RFC5731 (4200)

The following errata report has been rejected for RFC5731,
"Extensible Provisioning Protocol (EPP) Domain Name Mapping".

Status: Rejected
Type: Technical

Reported by: StÃ©phane Bortzmeyer <[email-masked]>
Date Reported: 2014-12-15
Rejected by: Barry Leiba (IESG)

Section: 3.2.3

Original Text
-------------

Corrected Text
--------------

Notes
-----

Detected by Kim-Minh Kaplan at AFNIC.
 --VERIFIER NOTES-- 
The RFC could be clearer, but it is consistent that the "Z" is required in date-time but not on date only.